# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Functionnal_unit			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Custom
include 			$(DIR_MORPHEO)/Behavioural/Custom/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Functionnal_unit_LIBRARY	= 	-lFunctionnal_unit	\
					$(Custom_LIBRARY)	\
					-lFunctionnal_unit	\
					$(Behavioural_LIBRARY)	

Functionnal_unit_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/lib	\
					$(Custom_DIR_LIBRARY)	\
					$(Behavioural_DIR_LIBRARY)

Functionnal_unit_DEPENDENCIES	=	Custom_library	\
					Behavioural_library

Functionnal_unit_CLEAN        	=	Custom_library_clean	\
					Behavioural_library_clean

#-----[ Rules ]--------------------------------------------

#.NOTPARALLEL			: Functionnal_unit_library Functionnal_unit_library_clean

Functionnal_unit_library	: $(Functionnal_unit_DEPENDENCIES)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit --makefile=Makefile;

Functionnal_unit_library_clean	: $(Functionnal_unit_CLEAN)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit --makefile=Makefile clean;
